LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XShapeMirror Interface Referencepublished

Objects implementing this interface can be used to mirror Shapes. More...

`import"XShapeMirror.idl";`

Inheritance diagram for XShapeMirror:

## Public Member Functions
void | mirror ([inout] com::sun::star::drawing::XShapes aShapes, [in] com::sun::star::drawing::MirrorAxis eAxis)
| mirrors the given Shapes at the given axis. More...
void | mirrorAtAxis ([inout] com::sun::star::drawing::XShapes aShapes, [in] com::sun::star::drawing::XShape aLine)
| mirrors the given Shapes at the given axis. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Objects implementing this interface can be used to mirror Shapes.

Deprecated:

## Member Function Documentation

void mirror | ( | [inout] com::sun::star::drawing::XShapes | aShapes,
|  | [in] com::sun::star::drawing::MirrorAxis | eAxis
| ) |  |

mirrors the given Shapes at the given axis.

void mirrorAtAxis | ( | [inout] com::sun::star::drawing::XShapes | aShapes,
|  | [in] com::sun::star::drawing::XShape | aLine
| ) |  |

mirrors the given Shapes at the given axis.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeMirror.idl